This endpoint can be used to simulate a withdrawal on a simulated funding source
Execute Simulator Withdrawal
/api/simulator/execute-withdrawal Request
Body application/json
amountstringWithdrawal amount in minor units.
fundingSourceIdstringID of the funding source to simulate a deposit to.
idstringID of the withdrawal interaction
expiresAtstringThe withdrawal intent expiration date
Response
Successful operation.
Body application/json
idstringID of the Funding Source Interaction.
fundingSourceIdstringThe ID of the Funding Source that this Interaction relates to.
accountIdstringThe ID of the account that this Interaction relates to.
typestringThe type of Funding Source Interaction.
statusstringThe current status of the interaction.
amountstringThe minor units amount of the transaction.
tokenstringThe token used in the transaction.
createdAtstringDate time on which the interaction was created.
modifiedAtstringLast modified date of this interaction.
descriptionstringA description of the interaction.
creditOrDebitIndicatorstringThe credit or debit indicator of the interaction.
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
INVALID_FUNDING_SOURCE_TYPE Funding source type is invalid. Only funding types using the Simulator strategies are valid
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring